apiVersion: tekton.dev/v1
kind: TaskRun
metadata:
  annotations:
    chains.tekton.dev/signed: "true"
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"tekton.dev/v1","kind":"PipelineRun","metadata":{"annotations":{"kubernetes.io/ssh-auth":"kubernetes.io/dockerconfigjson"},"name":"pipelinerun-go","namespace":"default"},"spec":{"params":[{"name":"git-repo","value":"https://github.com/jkhelil/gohandler.git"},{"name":"git-revision","value":"main"},{"name":"output-image","value":"quay.io/jkhelil/gohandler"}],"pipelineRef":{"name":"pipeline-go"},"workspaces":[{"name":"shared","volumeClaimTemplate":{"spec":{"accessModes":["ReadWriteOnce"],"resources":{"requests":{"storage":"1Gi"}}}}},{"name":"docker-credentials","secret":{"secretName":"push-secret"}}]}}
    kubernetes.io/ssh-auth: kubernetes.io/dockerconfigjson
    pipeline.tekton.dev/affinity-assistant: affinity-assistant-a2cc7c241b
    pipeline.tekton.dev/release: eaf7dc1
    results.tekton.dev/childReadyForDeletion: "true"
    results.tekton.dev/record: default/results/78bf41d5-e649-4933-a919-7e5bc2f19d07/records/f4509487-2911-4fae-90cb-db2458419f45
    results.tekton.dev/result: default/results/78bf41d5-e649-4933-a919-7e5bc2f19d07
    results.tekton.dev/stored: "true"
    tekton.dev/categories: Code Quality
    tekton.dev/displayName: golangci lint
    tekton.dev/pipelines.minVersion: 0.12.1
    tekton.dev/platforms: linux/amd64
    tekton.dev/tags: lint
  creationTimestamp: "2025-09-10T06:43:12Z"
  finalizers:
  - results.tekton.dev/taskrun
  - chains.tekton.dev
  generation: 1
  labels:
    app.kubernetes.io/managed-by: tekton-pipelines
    app.kubernetes.io/version: "0.2"
    tekton.dev/memberOf: tasks
    tekton.dev/pipeline: pipeline-go
    tekton.dev/pipelineRun: pipelinerun-go
    tekton.dev/pipelineRunUID: 78bf41d5-e649-4933-a919-7e5bc2f19d07
    tekton.dev/pipelineTask: golangci-lint
    tekton.dev/task: golangci-lint
  name: pipelinerun-go-golangci-lint
  namespace: default
  ownerReferences:
  - apiVersion: tekton.dev/v1
    blockOwnerDeletion: true
    controller: true
    kind: PipelineRun
    name: pipelinerun-go
    uid: 78bf41d5-e649-4933-a919-7e5bc2f19d07
  resourceVersion: "24710"
  uid: f4509487-2911-4fae-90cb-db2458419f45
spec:
  params:
  - name: package
    value: .
  serviceAccountName: default
  taskRef:
    params:
    - name: catalog
      value: tekton-catalog-tasks
    - name: type
      value: artifact
    - name: name
      value: golangci-lint
    - name: version
      value: 0.2.0
    - name: kind
      value: task
    resolver: hub
  timeout: 1h0m0s
  workspaces:
  - name: source
    persistentVolumeClaim:
      claimName: pvc-a7115f3c43
status:
  artifacts: {}
  completionTime: "2025-09-10T06:44:02Z"
  conditions:
  - lastTransitionTime: "2025-09-10T06:44:02Z"
    message: '"step-lint" exited with code 3: Error'
    reason: Failed
    status: "False"
    type: Succeeded
  podName: pipelinerun-go-golangci-lint-pod
  provenance:
    featureFlags:
      awaitSidecarReadiness: true
      coschedule: workspaces
      enableAPIFields: beta
      enableProvenanceInStatus: true
      enforceNonfalsifiability: none
      maxResultSize: 4096
      resultExtractionMethod: termination-message
      runningInEnvWithInjectedSidecars: true
      verificationNoMatchPolicy: ignore
    refSource:
      digest:
        sha256: 845d44efe50eaf4e96192b9576b4261e2dd886ff0f7352f1fd61da9735ba65cf
      uri: https://artifacthub.io/api/v1/packages/tekton-task/tekton-catalog-tasks/golangci-lint/0.2.0
  startTime: "2025-09-10T06:43:12Z"
  steps:
  - container: step-lint
    imageID: docker.io/golangci/golangci-lint@sha256:06c0900d94953cfa35df107e36c6f8a3d191f4ce9736ce067eb1862da6e7e7a7
    name: lint
    terminated:
      containerID: containerd://4845d5ee20234a07dc458e02ba04f4a506159ac7f0eeaf0000b0884baaf8b813
      exitCode: 3
      finishedAt: "2025-09-10T06:44:01Z"
      reason: Error
      startedAt: "2025-09-10T06:44:01Z"
    terminationReason: Error
  taskSpec:
    description: This Task is Golang task to validate Go projects.
    params:
    - description: base package (and its children) under validation
      name: package
      type: string
    - default: .
      description: path to the directory to use as context.
      name: context
      type: string
    - default: --verbose
      description: flags to use for the test command
      name: flags
      type: string
    - default: v1.39
      description: golangci-lint version to use
      name: version
      type: string
    - default: linux
      description: running operating system target
      name: GOOS
      type: string
    - default: amd64
      description: running architecture target
      name: GOARCH
      type: string
    - default: auto
      description: value of module support
      name: GO111MODULE
      type: string
    - default: ""
      description: Go caching directory path
      name: GOCACHE
      type: string
    - default: ""
      description: Go mod caching directory path
      name: GOMODCACHE
      type: string
    - default: ""
      description: golangci-lint cache path
      name: GOLANGCI_LINT_CACHE
      type: string
    steps:
    - computeResources: {}
      env:
      - name: GOPATH
        value: /workspace
      - name: GOOS
        value: linux
      - name: GOARCH
        value: amd64
      - name: GO111MODULE
        value: auto
      - name: GOCACHE
      - name: GOMODCACHE
      - name: GOLANGCI_LINT_CACHE
      image: docker.io/golangci/golangci-lint:v1.39
      name: lint
      script: |
        golangci-lint run --verbose
      workingDir: /workspace/src/./.
    workspaces:
    - mountPath: /workspace/src/.
      name: source
